
.env_setup_staging:
  script:
    - cat $ENV_STAGING > $RELEASE_TAG.env

.deploy_setup_staging:
  stage: deploy
  extends:
    - .prepare_ssh_setup
  variables:
    RELEASE_TAG: $CI_COMMIT_SHORT_SHA-$CI_PIPELINE_ID-staging
  resource_group: staging
  environment:
    name: staging
    deployment_tier: testing
    url: $STAGING_URL
  when: manual
  rules:
    - !reference [.deploy_rules_staging, rules]
  tags:
    - clarity
    - deploy
    - production
